このエンドポイントは、ブレスレットのバーチャル試着プロセスを開始します。ソースファイルと参照画像(URL または File ID 経由)に加え、アライメントとシャドウイングのための特定のパラメータを指定する必要があります。タスクは非同期で処理され、このレスポンスで返される task_id を使用してステータスを確認できます。
セキュリティ
BearerAuthenticationV2
Any of:
タスクを実行するソースマスクファイルの URL。URL は公開されている必要があります。
例:"https://example.com/src_mask.jpg"
タスク実行用の参照ファイルの URL です。URL は公開されている必要があります。
例:
[ "https://example.com/vto_sku.jpg" ]
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/2d-vto/bracelet
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/2d-vto/bracelet \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"srcmsk_file_url": "https://example.com/src_mask.jpg",
"ref_file_urls": [
"https://example.com/vto_sku.jpg"
],
"refmsk_file_urls": [
"https://example.com/vto_sku_mask.jpg"
],
"source_info": {
"name": "https://example.com/selfie.jpg",
"mask_name": "https://example.com/src_mask.jpg"
},
"object_infos": [
{
"name": "https://example.com/vto_sku.jpg",
"mask_name": "https://example.com/vto_sku_mask.jpg",
"parameter": {
"bracelet_need_remove_background": true,
"bracelet_anchor_point": null,
"bracelet_wearing_location": null,
"bracelet_shadow_intensity": 0.3,
"bracelet_ambient_light_intensity": 1
}
}
]
}'レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }